
body {
    font-size: 15px;
    font-family: 'Poppins', sans-serif;
    line-height: 1.6rem;
    color: azure;

    background:
        radial-gradient(circle at top left,
            rgba(0,123,255,0.15),
            transparent 30%),

        radial-gradient(circle at top right,
            rgba(255,0,255,0.12),
            transparent 25%),

        linear-gradient(
            135deg,
            #0F172A,
            #111827,
            #1E3A8A
        );

    background-attachment: fixed;
}


html {
    scroll-behavior: smooth;
}

.social-icons {
    display: flex;
    gap: 35px;
    margin-top:5px;
}

.social-icons a {
    color: rgb(161, 145, 145);
    font-size: 30px;
    transition: 0.3s ease;
}

.social-icons a:hover {
    color: #d4d43b; /* same yellow shade */
    transform: scale(1.15);
}

nav {
    position: relative;
    display: flex;
    justify-content: center; /* navbar stays center */
    align-items: center;
    padding: 30px 80px;
}

/* Left name */
.nav-logo {
    position: absolute;
    left: 80px;

    color: white;
    font-size: 3rem;
    font-weight: 700;
}

/* Center navigation */
.navbar {
    display: flex;
    gap: 40px;

    list-style: none;
    margin: 0;
    padding: 0;
}

.navbar li a {
    text-decoration: none;
    color: white;
    font-size: 18px;
    font-weight: 700;
}

/* Right icons */
.nav-icons {
    position: absolute;
    right: 80px;

    display: flex;
    gap: 25px;
}

.nav-icons a {
    color: white;
    font-size: 28px;
    transition: 0.3s;
}

.nav-icons a:hover {
    color: #d4d43b;
}

.hero{
    display: flex;
    align-items: center;
    gap: 180px;
    padding: 50px;
}

.hero-content{
    margin-top: 165px;
}

.logo {
    width: 400px;
    height: 700px;
    margin-left: 180px;

    filter:
        drop-shadow(0 0 8px rgba(0, 102, 255, 0.7))
        drop-shadow(0 0 25px rgba(0, 102, 255, 0.35))
        drop-shadow(0 0 50px rgba(0, 102, 255, 0.15));

    transition: transform 0.4s ease;
}

.logo:hover {
    transform: scale(1.03);
}

.small-text{
    font-size: 35px;
    font-weight: 400;
    margin-bottom:0px;
    font-weight: 400px;
    max-width: 800px;
  
}
.description{
                font-size: 34px;
                font-weight: 400;
                max-width: 800px;
                margin-top: 10px;
                line-height: 1.3;
        
                
}


h1{
     font-size: 95px;
     font-weight: 800;
     line-height: 1;
     color: rgb(199, 199, 66);
     margin: 0;  
}

h2 {
    text-align: center;
    margin-top: 120px;
    margin-bottom: 0px;
    font-size: 50px;
}
.about-txt{
    font-size: 19px;
    line-height: 1.8rem;
    padding: 10%;
    border: 20px;
    text-indent: 30px;
    text-align: center;
    margin-top:0px;
}

h3{
    text-align: center;
    margin-bottom: 50px;
    font-size:30px;
}

.mitlogo{
    width: 100%;
    
}

.mitlogo img{
    width: 120px;
    height: auto;
    margin-bottom: 20px;
}

.edu-name{
    font-size: 20px;
    color: yellow;
    font-weight: bold;  
}

.education-list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;  
    padding: 30px;
}

.edu-box {
    border: 2px solid white;
    border-radius: 15px;
    padding: 25px;
    text-align: center;
    background: rgba(255,255,255,0.05);
    transition: 0.3s ease;
    display: flex;
    justify-content: center;

}

.edu-box p:first-child {
    font-size: 2rem;
    font-weight: 700;
    color: yellow;
    margin-bottom: 15px;
}

.edu-box p:nth-child(2) {
    font-size: 1.2rem;
    font-weight: 500;
    color: white;
}

.edu-box p:nth-child(3) {
    font-size: 1.1rem;
    font-weight: 500;
    color: lightgray;
}

.edu-box:hover {
    transform: translateY(-5px);
}

h4{
    text-align: center;
    margin-bottom: 50px;
    font-size:30px;
    margin-top: 100px;
}

.skills-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center; 
    gap: 50px 60px;

    max-width: 1100px;
    margin: 0 auto;
    padding: 50px 20px;
}

.skill {
    width: 110px;
    text-align: center;
    transition: transform 0.3s ease;
}

.skill:hover {
    transform: translateY(-5px);
}

.skill i {
    font-size: 60px;
}

.skill p {
    margin-top: 12px;
    font-size: 18px;
    font-weight: 600;
    color: white;
    line-height: 1.3;
}

.project-button-container {
    width: 100%;
    display: flex;
    justify-content: center;
    margin-top: 50px;
}

.projectbtn {
    padding: 18px 50px;
    border: none;
    border-radius: 50px;

    background: linear-gradient(90deg, #007bff, #ff00ff);
    color: white;

    font-size: 22px;
    cursor: pointer;
}


.projectbtn {
    padding: 18px 50px;
    border: none;
    border-radius: 50px;
    background: #111827; /* button inside */
    color: white;
    font-size: 22px;
    position: relative;
    cursor: pointer;
    z-index: 1;
}

/* ONLY button gradient */
.projectbtn::before {
    content: '';
    position: absolute;
    inset: -3px;
    border-radius: 50px;

    background: linear-gradient(
        90deg,
        #007bff,
        #7b2cff,
        #ff00ff
    );

    z-index: -1;
}

.projectbtn::after {
    content: '';
    position: absolute;
    inset: -3px;
    border-radius: 50px;

    background: linear-gradient(
        90deg,
        #007bff,
        #7b2cff,
        #ff00ff
    );

    filter: blur(12px);
    opacity: 0.4;
    z-index: -2;
}

.projectbtn:hover {
    transform: translateY(-4px) scale(1.03);
    color: white;
}

/* glow increases on hover */
.projectbtn:hover::after {
    opacity: 0.8;
    filter: blur(20px);
}

.certificate-button-container {
    width: 100%;
    display: flex;
    justify-content: center;
    margin-top: 50px;
}

.certificatebtn {
    padding: 18px 50px;
    border: none;
    border-radius: 50px;

    background: linear-gradient(90deg, #007bff, #ff00ff);
    color: white;

    font-size: 22px;
    cursor: pointer;
}


.certificatebtn {
    padding: 18px 50px;
    border: none;
    border-radius: 50px;
    background: #111827; /* button inside */
    color: white;
    font-size: 22px;
    position: relative;
    cursor: pointer;
    z-index: 1;
}

/* ONLY button gradient */
.certificatebtn::before {
    content: '';
    position: absolute;
    inset: -3px;
    border-radius: 50px;

    background: linear-gradient(
        90deg,
        #007bff,
        #7b2cff,
        #ff00ff
    );

    z-index: -1;
}

.certificatebtn::after {
    content: '';
    position: absolute;
    inset: -3px;
    border-radius: 50px;

    background: linear-gradient(
        90deg,
        #007bff,
        #7b2cff,
        #ff00ff
    );

    filter: blur(12px);
    opacity: 0.4;
    z-index: -2;
}

.certificatetbtn:hover {
    transform: translateY(-4px) scale(1.03);
    color: white;
}

/* glow increases on hover */
.certificatebtn:hover::after {
    opacity: 0.8;
    filter: blur(20px);
}

.resume-container {
    display: flex;
    justify-content: center;
    margin-top: 30px;
}

.resume-btn {
    display: inline-flex;
    align-items: center;
    justify-content: center;

    padding: 18px 50px;
    border-radius: 50px;

    text-decoration: none;
    color: white;
    font-size: 20px;
    font-weight: 600;

    background: linear-gradient(
        90deg,
        #007bff,
        #7b2cff,
        #ff00ff
    );

    transition: 0.3s ease;
}

.resume-btn:hover {
    transform: translateY(-4px) scale(1.03);
    box-shadow: 0 0 25px rgba(123,44,255,0.35);
}
h5{
    text-align: center;
    margin-top: 120px;
    margin-bottom: 0px;
    font-size: 50px;
}
.contact-container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 35px;
    padding: 50px 20px;
}

.contact-box {
    width: 220px;
    padding: 30px 20px;

    background: rgba(255,255,255,0.05);
    border: 1px solid rgba(255,255,255,0.15);
    border-radius: 20px;

    text-align: center;
    transition: 0.3s ease;
}

.contact-box:hover {
    transform: translateY(-8px);
    border-color: #d4d43b;
}

.contact-box i {
    font-size: 45px;
    color: #d4d43b;
    margin-bottom: 20px;
}

.contact-box p {
    font-size: 22px;
    font-weight: 600;
    margin-bottom: 10px;
}

.contact-box span {
    color: #cfcfcf;
    font-size: 17px;
}

.contact-box {
    text-decoration: none; /* remove underline */
    color: white;
    cursor: pointer;
}

.contact-box:hover {
    transform: translateY(-8px);
    border-color: #d4d43b;
    box-shadow: 0 0 20px rgba(212,212,59,0.2);
}

.contact-box:hover i {
    transform: scale(1.1);
    transition: 0.3s ease;
}

#message-section {
    padding: 100px 20px;
    text-align: center;
}

.message-text {
    max-width: 700px;
    margin: 20px auto 50px;
    font-size: 20px;
    color: #d1d5db;
    line-height: 1.8;
}

/* transparent glass box */
.form-container {
    max-width: 650px;
    margin: auto;

    background: rgba(255,255,255,0.05);
    backdrop-filter: blur(18px);

    border: 1px solid rgba(255,255,255,0.15);
    border-radius: 30px;

    padding: 50px;
    box-shadow: 0 0 40px rgba(0,0,0,0.15);
}

/* vertical form layout */
form {
    display: flex;
    flex-direction: column;
    gap: 28px;
}

.input-group {
    text-align: left;
}

.input-group label {
    display: block;
    margin-bottom: 10px;
    font-size: 18px;
    font-weight: 600;
}

/* input fields */
input,
textarea {
    width: 100%;
    padding: 18px 20px;

    border-radius: 16px;
    border: 1px solid rgba(255,255,255,0.15);

    background: rgba(255,255,255,0.06);
    color: white;

    outline: none;
    font-size: 17px;

    transition: 0.3s ease;
}

/* focus effect */
input:focus,
textarea:focus {
    border-color: #d4d43b;
    box-shadow: 0 0 20px rgba(212,212,59,0.15);
}

/* placeholder */
input::placeholder,
textarea::placeholder {
    color: #9ca3af;
}

/* button */
.submitbtn {
    width: 100%;
    padding: 18px;

    border: none;
    border-radius: 50px;

    font-size: 20px;
    font-weight: 600;
    color: white;

    cursor: pointer;

    background: linear-gradient(
        90deg,
        #007bff,
        #7b2cff,
        #ff00ff
    );

    transition: 0.3s ease;
}

.submitbtn:hover {
    transform: translateY(-4px);
    box-shadow: 0 0 25px rgba(123,44,255,0.35);
}

.footer {
    margin-top: 120px;
    padding: 40px 20px;

    text-align: center;

    border-top: 1px solid rgba(255,255,255,0.12);

    background: rgba(255,255,255,0.02);
}

.footer-content h3 {
    font-size: 2rem;
    margin-bottom: 10px;
    font-weight: 700;
}

.footer-content p {
    color: #cfcfcf;
    font-size: 16px;
    margin: 8px 0;
}

.developer-text span {
    color: #d4d43b;
    font-weight: 600;
}
.top-btn {
    position: fixed;
    bottom: 30px;
    right: 30px;

    width: 60px;
    height: 60px;

    display: flex;
    align-items: center;
    justify-content: center;

    border-radius: 50%;

    text-decoration: none;
    color: white;
    font-size: 24px;

    background: linear-gradient(
        90deg,
        #007bff,
        #7b2cff,
        #ff00ff
    );

    box-shadow: 0 0 20px rgba(123,44,255,0.4);

    transition: 0.3s ease;
    z-index: 1000;
}

.top-btn:hover {
    transform: translateY(-5px) scale(1.08);
    box-shadow: 0 0 30px rgba(255,0,255,0.5);
}